using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Networking;
using Networking.Client;

public class NetworkedUIManager : PlayerUIManager
{
    [SerializeField]
    private ClientObject Client;

    private BlockReader reader;

    protected override void Awake()
    {
        base.Awake();
        reader = new BlockReader();
        TrayUI.SetBlockReader(reader);
    }

    public override void OnClick_Play()
    {
        OnClick_Hide();
        LogicProtocols.LogicMsg msg = new LogicProtocols.LogicMsg(reader.LogicChain.ToArray());

        Debug.Log("sending on " + LogicProtocols.SendLogicList);
        Client.client.SendByChannel(LogicProtocols.SendLogicList, msg, TransportConfigure.ReliableFragmented);
    }

}
